#form-search {
  flex: 0 0 20%;

  .search-label {
    position: relative;
    margin: auto;
    width: 100%;
    margin-top: -15px;
    margin-bottom: 20px;
    max-width: 100%;

    @include desktop {
      margin-bottom: 0;
    }

    button {
      border: none;
      background: none;
      position: absolute;
      right: 0;
      bottom: 0;
      color: #333333a3;
    }

    .label {
      position: absolute;
      top: 6px;
      left: 0;
      font-size: 14px;
      color: #9098a9;
      font-weight: 500;
      transform-origin: 0 0;
      transition: all 0.2s ease;
      z-index: 1;
    }

    .search-border {
      position: absolute;
      bottom: 0;
      left: 0;
      height: 2px;
      width: 100%;
      background: #07f !important;
      transform: scaleX(0);
      transform-origin: 0 0;
      transition: all 0.15s ease;
    }

    input {
      width: 100%;
      border: 0;
      font-family: inherit;
      height: 35px;
      font-size: 14px;
      font-weight: 500;
      border-bottom: 2px solid #c8ccd4;
      background: none;
      border-radius: 0;
      color: #223254;
      transition: all 0.15s ease;
      padding-right: 30px;

      &:focus {
        background: none;
        outline: none;

        + span {
          color: #07f;
          transform: translateY(-20px) scale(0.8);

          + .search-border {
            transform: scaleX(1);
          }
        }
      }

      &:not(:placeholder-shown) + span {
        color: #5a667f;
        transform: translateY(-20px) scale(0.8);
      }
    }
  }
}
